package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.utilerias.BigDecimalUtil;
import com.rjconsultores.ventaboletos.utilerias.DateUtil;
import com.rjconsultores.ventaboletos.utilerias.LocaleUtil;
import com.rjconsultores.ventaboletos.vo.comissao.LogConferenciaVO;

public class RenderLogConferencia implements ListitemRenderer {

	@Override
	public void render(Listitem lstm, Object o) throws Exception {
		LogConferenciaVO logConferencia = (LogConferenciaVO) o;
		
		Listcell lc = new Listcell(logConferencia.getStatusDescricao());
        lc.setParent(lstm);
        
        lc = new Listcell(logConferencia.getNumfoliosistema());
        lc.setParent(lstm);

        lc = new Listcell(logConferencia.getNumoperacion());
        lc.setParent(lstm);

        lc = new Listcell(logConferencia.getDesctipoevento());
        lc.setParent(lstm);
        
        lc = new Listcell(logConferencia.getObservacao());
        lc.setParent(lstm);
        
        lc = new Listcell(logConferencia.getDescdebitocredito());
        lc.setParent(lstm);

        lc = new Listcell(BigDecimalUtil.getBigDecimalToStringDouble2CasasDecimaisFormatado(logConferencia.getPreco(), LocaleUtil.getLocale()));
        lc.setParent(lstm);
        
        lc = new Listcell(logConferencia.getTipoDescricao());
        lc.setParent(lstm);

        lc = new Listcell(DateUtil.getStringDate(logConferencia.getFecmodif(), "dd/MM/yyyy HH:mm"));
        lc.setParent(lstm);
        
        lc = new Listcell(logConferencia.getNombusuario());
        lc.setParent(lstm);

        lstm.setAttribute("data", logConferencia);
		
	}

}
